

/*
 * main.c
 *
 *  Created on: Aug 2, 2016
 *      Author: tkl
 */

#include <stdbool.h>
#include <string.h>
#include <stdio.h>

#include "driver.h"
#include "board.h"
#include "stack.h"
#include "queue.h"
#include "kernel.h"
#include "driver.h"
#include "list.h"
#include "shell.h"

int main(void)
{
	char print_buffer[50];
	shell_init(&uart_1);
	drv_open(&rng);

	while(1) {
		int random = drv_read(&rng, NULL, 0);
		sprintf(print_buffer, "random: %d\r\n", random);
		shell_write(print_buffer, strlen(print_buffer));
		sleep_ms(1000);
	}

	return 0;
}

